Skip to content
POST
/admin/spawn-node
curl --request POST \
--url https://example.com/admin/spawn-node \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-AdminKey: <X-Tenzir-AdminKey>' \
--data '{ "tenant_id": "example", "image": "example", "node_name": "example", "memory": 16384, "lifetime": 360 }'
Media type application/json
SpawnNodeRequest
object
tenant_id
required
Tenant Id
string
image
Any of:
string
node_name
required
Node Name
string
memory
Memory
integer
default: 16384
lifetime
Lifetime
integer
default: 360

Successful Response

Media type application/json
Node
object
name
required
Name
string
connection_id
Any of:
string
key
required
Key
string
id
required
Id
string
create_date_time
required
Create Date Time
string format: date-time
last_known_version
Any of:
string
last_known_features
Any of:
string
destroy_date_time
Any of:
string format: date-time
infra_id
Any of:
string
demo
required
Demo
boolean
ephemeral
Ephemeral
boolean
Example
{
"ephemeral": false
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}